Subject: Re: bug#21512: filecontents

From: Mosè Giordano <[email-masked]>
Date: Fri, 18 Sep 2015 14:46:26 +0200

Hi Jim

2015-09-18 14:23 GMT+02:00 Hefferon, James S. <[email-masked]>:
>
> Hello,
>
> Thank you for AUCTeX.  I use it every day.
>
> When I am inside a .tex file, in the preamble but after the \documentclass, and I do a control-C control-E followed by "filecontents" I get a message in the minibuffer to "Put filecontents before \documentclass".
>
> That warning is based on incorrect documentation of the filecontents command; in fact that command can go anywhere in the preamble.

Which version of AUCTeX are you using?  This should have already been
fixed with commit

* cad437e (2013-01-29)  * latex.el (LaTeX-env-contents): Replaced
                        regular expression with

(http://git.savannah.gnu.org/gitweb/?p=auctex.git;a=commitdiff;h=cad437eec728058261951f28cd779c2d4f2eb3b7)
which went into AUCTeX 11.88.

Bye,
Mosè